%define upstream_name    Dist-Zilla-Plugin-MetaProvides-Class
%define upstream_version 2.001001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Scans Dist::Zilla's .pm files and tries to identify classes using Class::Discover
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Discover)
BuildRequires: perl(Dist::Zilla::MetaProvides::ProvideRecord) >= 2.0.0
BuildRequires: perl(Dist::Zilla::Plugin::MetaProvides) >= 1.120.448.60
BuildRequires: perl(Dist::Zilla::Role::MetaProvider::Provider)
BuildRequires: perl(Dist::Zilla::Util::Test::KENTNL) >= 0.10.0.110
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(MooseX::Declare)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.1.1-4.mga8
+ Revision: 1504063
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.1.1-3.mga7
+ Revision: 1283059
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 2.1.1-2.mga7
+ Revision: 1164242
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 2.1.1-1.mga7
+ Revision: 1157589
- update to 2.001001

* Sun Jun 19 2016 pterjan <pterjan> 2.1.0-3.mga6
+ Revision: 1026341
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 2.1.0-2.mga6
+ Revision: 966680
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 2.1.0-1.mga6
+ Revision: 846534
- update to 2.001000

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-3.mga5
+ Revision: 747349
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-2.mga5
+ Revision: 684469
- Mageia 5 Mass Rebuild

* Tue May 06 2014 jquelin <jquelin> 2.0.0-1.mga5
+ Revision: 620613
- update to 2.000000

* Sat Oct 19 2013 umeabot <umeabot> 1.140.0.10-2.mga4
+ Revision: 526929
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.140.0.10-1.mga4
+ Revision: 439131
- update to 1.14000001

* Sun Jan 13 2013 umeabot <umeabot> 1.140.0.0-2.mga3
+ Revision: 366280
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.140.0.0-1.mga3
+ Revision: 254881
- update to 1.14000000

* Mon Apr 11 2011 jquelin <jquelin> 1.120.605.10-1.mga1
+ Revision: 83351
- update to 1.12060501
- update to 1.12060312

* Sat Feb 26 2011 jquelin <jquelin> 1.120.449.110-1.mga1
+ Revision: 60387
- update buildrequires:
- update to 1.12044911

* Thu Jan 27 2011 jquelin <jquelin> 1.110.342.10-1.mga1
+ Revision: 41839
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-MetaProvides-Class

